Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Questions Stats Resource

get
Authorizations
SessionIdstringRequired

SessionId

Query parameters
fromstring · date-timeOptional
tostring · date-timeOptional
hierarchyIdstringOptional
questionIdstringRequired
filtersstringOptional
groupIdstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
Responses
200

OK

*/*
fromstring · date-timeOptional
tostring · date-timeOptional
get/api/v1/company/stats/questions
GET /api/v1/company/stats/questions?questionId=text HTTP/1.1
Host: api.happyforce.com
SessionId: YOUR_API_KEY
Accept: */*
200

OK

{
  "from": "2026-01-01T00:00:00.000Z",
  "to": "2026-01-01T00:00:00.000Z",
  "results": [
    {
      "votes": {
        "ANY_ADDITIONAL_PROPERTY": {
          "date": "2026-01-01T00:00:00.000Z",
          "indexRating": 1,
          "ratings": [
            {
              "puntuation": 1,
              "votes": 1
            }
          ],
          "totalVotes": 1,
          "totalParticipants": 1,
          "skippedVotes": 1,
          "participationPercent": 1
        }
      },
      "ratings": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "ratingPercents": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "ratingsVariation": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "invitedParticipants": 1,
      "expectedParticipants": 1,
      "cohortParticipants": 1,
      "periodParticipants": 1,
      "previousPeriodParticipants": 1,
      "periodParticipantsVariation": 1,
      "periodParticipantsVariationPercent": 1,
      "newParticipants": 1,
      "lostParticipants": 1,
      "participationPercent": 1,
      "votesPeriod": 1,
      "votesVariation": 1,
      "votesVariationPercent": 1,
      "periodIndex": 1,
      "periodIndexVariation": 1,
      "periodIndexVariationPercent": 1,
      "valuation": "NO_DATA",
      "quality": "NO_DATA",
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z",
      "skippedVotes": 1
    }
  ],
  "periodResults": {
    "votes": {
      "ANY_ADDITIONAL_PROPERTY": {
        "date": "2026-01-01T00:00:00.000Z",
        "indexRating": 1,
        "ratings": [
          {
            "puntuation": 1,
            "votes": 1
          }
        ],
        "totalVotes": 1,
        "totalParticipants": 1,
        "skippedVotes": 1,
        "participationPercent": 1
      }
    },
    "ratings": {
      "ANY_ADDITIONAL_PROPERTY": 1
    },
    "ratingPercents": {
      "ANY_ADDITIONAL_PROPERTY": 1
    },
    "ratingsVariation": {
      "ANY_ADDITIONAL_PROPERTY": 1
    },
    "invitedParticipants": 1,
    "expectedParticipants": 1,
    "cohortParticipants": 1,
    "periodParticipants": 1,
    "previousPeriodParticipants": 1,
    "periodParticipantsVariation": 1,
    "periodParticipantsVariationPercent": 1,
    "newParticipants": 1,
    "lostParticipants": 1,
    "participationPercent": 1,
    "votesPeriod": 1,
    "votesVariation": 1,
    "votesVariationPercent": 1,
    "periodIndex": 1,
    "periodIndexVariation": 1,
    "periodIndexVariationPercent": 1,
    "valuation": "NO_DATA",
    "quality": "NO_DATA",
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z",
    "skippedVotes": 1
  }
}

Last updated